RUN-PARTS(8)

NAME
run-parts - Skripte oder Programme in einem Verzeichnis ausführen

ÜBERSICHT
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--after=PROG] [--before=PROG] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

BESCHREIBUNG
run-parts führt alle ausführbaren Dateien im Verzeichnis Verzeichnis aus, wobei die Namen den unten beschriebenen Randbedingungen genügen müssen. Andere Dateien und Verzeichnisse werden ohne Rückmeldung ignoriert. Falls weder die Option »--lsbsysinit« noch die Option »--regex« angegeben werden, dann müssen die Namen komplett aus ASCII-Groß- und -Kleinbuchstaben, ASCII-Ziffern, ASCII-Unterstrichen und ASCII-Minuszeichen bestehen. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Falls die Option »--regex« angegeben ist, müssen die Namen auf den angepassten erweiterten regulären Ausdruck passen, der der Option übergeben wurde. Dateien werden sequenziell in der lexikalisch sortierten Reihenfolge (gemäß den C/POSIX-Locale-Sortierregeln) ihrer Namen ausgeführt, es sei denn, die Option »--reverse« ist angegeben, in diesem Fall werden sie in der umgekehrten Reihenfolge ausgeführt. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

OPTIONEN

--test
    gibt die Namen der Skripte aus, die ausgeführt würden. Eine Ausführung findet aber nicht statt.

--list
    gibt die Namen aller passenden Dateien (nicht begrenzt auf ausführbare Dateien) aus, führt diese aber nicht aus. Diese Option kann nicht zusammen mit »--test« verwandt werden.

-v, --verbose
    gibt vor der Ausführung jedes Skriptes den Namen auf Stderr aus.

--report
    ähnlich zu --verbose, gibt aber nur die Namen der Skripte aus, die eine Ausgabe erstellen. Die Namen der Skripte werden entweder auf Stdout oder Stderr ausgegeben, abhängig davon, wo das erste Skript seine Ausgabe hin ausgibt.

-d, --debug
    gibt auf Stderr aus, welche Skripte zur Ausführung ausgewählt werden und welche nicht.

--reverse
    invertiert die Reihenfolge der Ausführung.

--exit-on-error
    beenden, sobald ein Skript mit einem von Null verschiedenen Exit-Code zurückkehrt.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    LSB-Namensräume statt des klassischen Verhaltens verwenden.

--new-session
    jedes Skript in einer separaten Prozesssitzung ausführen. Falls Sie diese Option verwenden, wird das Töten (»killen«) von Run-parts nicht das aktuell laufende Skript töten, welches bis zum Ende durchlaufen wird.

--regex=RE
    prüfen von Dateinamen gegen angepassten erweiterten regulären Ausdruck RE. Sie finden im Abschnitt BEISPIELE ein Beispiel dazu.

-u, --umask=Umask
    setzt vor der Ausführung der Skripte die Umask auf Umask. Umask sollte oktal angegeben werden. Standardmäßig ist die Umask auf 022 gesetzt.

-a, --arg=Optionen
    gibt Optionen an die Skripte weiter. Verwenden Sie für jede weiterzugebende Option einmal --arg.

-A, --after=program
    run program after each script runs. The program will be called with three arguments: script name, exit status, and total amount written to the output and error streams. The last argument will always be 0 unless the --report option is also specified. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

-B, --before=program
    run program before running each script. The program will be called with one argument: the script name. If this option is used multiple times, only the last one will take effect. If the called program exits with an error code, it won't be called again.

--  gibt an, dass hier die Optionen enden. Jeder Dateiname nach -- wird nicht als Option interpretiert, selbst wenn er mit einem Minuszeichen beginnt.

-h, --help
    zeigt die Benutzungsinformationen an und beendet das Programm.

-V, --version
    zeigt die Version und das Copyright an und beendet das Programm.

BEISPIELE
Die Namen aller Dateien in /etc ausgeben, die mit »p« beginnen und mit »d« enden:

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT
Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts ist freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt keine Haftung.

ÜBERSETZUNG
Diese Übersetzung wurde 2011, 2012, 2017, 2018, 2020, 2022 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.